---
title: 308 Permanent Redirect
slug: Web/HTTP/Status/308
tags:
  - HTTP
  - HTTP Status Code
  - Reference
  - redirects
---
<div>{{HTTPSidebar}}</div>

<p>The HyperText Transfer Protocol (HTTP) <code><strong>308 Permanent Redirect</strong></code> redirect status response code indicates that the resource requested has been definitively moved to the URL given by the {{HTTPHeader("Location")}} headers. A browser redirects to this page and search engines update their links to the resource (in 'SEO-speak', it is said that the 'link-juice' is sent to the new URL).</p>

<p>The request method and the body will not be altered, whereas {{HTTPStatus("301")}} may incorrectly sometimes be changed to a {{HTTPMethod("GET")}} method.</p>

<div class="note">
<p><strong>Note: </strong>Some Web applications may use the <code>308 Permanent Redirect</code> in a non-standard way and for other purposes. For example, Google Drive uses a <code>308 Resume Incomplete</code> response to indicate to the client when an incomplete upload stalled.<sup><a href="https://developers.google.com/drive/v3/web/manage-uploads#resumable">[1]</a></sup></p>
</div>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">308 Permanent Redirect</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7538", "308 Permanent Redirect" , "3")}}</td>
   <td>The Hypertext Transfer Protocol Status Code 308 (Permanent Redirect)</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.status.308")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPStatus("301", "301 Moved Permanently")}}</li>
 <li>{{HTTPStatus("302", "302 Found")}}, the temporary redirect</li>
</ul>
